<?php
/*
Plugin Name: D-login
Plugin URI: http://dytri.com/shop/dlogplugin
Description: Plugin registration and authorization for Wordpress.
Version: 1.1
Author: DYTRI
Author URI: http://www.dytri.com
*/
session_start();
//Install
/*-----------------------------------------------------------------------------------------------------------------------*/
function dum_install() {}

//Uninstall
/*-----------------------------------------------------------------------------------------------------------------------*/
function dum_uninstall () {}

//Widget USER FORM
/*-----------------------------------------------------------------------------------------------------------------------*/
include_once ("includes/admin/widgets/DWidgetUserForm.php");

//Widget USER DISPLAY
/*-----------------------------------------------------------------------------------------------------------------------*/
include_once ("includes/admin/widgets/DWidgetUserDisplay.php");


//DLoginUser
function DLoginUser () {
	
   if ( isset($_POST['d-login-user-name']) && isset($_POST['d-login-user-pass']) ) 
   {
	global $wpdb;
	
	$table_users  = $wpdb->prefix . 'users';
	$table_posts  = $wpdb->prefix . 'posts';
	
	//Check User Login
	$userlogin = strtolower(htmlspecialchars(trim($_POST['d-login-user-name'])));
	$userpass =  md5(htmlspecialchars(trim($_POST['d-login-user-pass'])));
	
	
	$user = $wpdb->get_row( 
	$wpdb->prepare( 
		'SELECT * FROM `'.$table_users.'` WHERE `user_login`=%s and `user_pass`=%s LIMIT 1',
		$userlogin, $userpass
	  )
	);
	
	if ($user) {
		wp_set_auth_cookie( $user->ID );
		wp_set_current_user($user->ID, $userlogin);
		$creds = array();
		$creds['user_login'] = $userlogin;
		$creds['user_password'] = $userpass;
		$creds['remember'] = true;
		$user = wp_signon( $creds, false );
		//if ( is_wp_error($user) ) echo $user->get_error_message();
		//wp_login($userlogin, $userpass);
	}
  }
	
}
//Add actions
/*-----------------------------------------------------------------------------------------------------------------------*/
add_action( 'init', 'DLoginUser' );

/*Languages*/
/*-----------------------------------------------------------------------------------------------------------------------*/
add_action("init", "dlogin_init");
 
function dlogin_init() {
   load_plugin_textdomain('d-login', false, dirname( plugin_basename( __FILE__ ) ).'/languages/');
}

//ShortCodes
//dloginuser - display login form on page
//dreguser - display reg. form on page
/*-----------------------------------------------------------------------------------------------------------------------*/
function SiteDLoginUser() {
	include_once ("includes/site/SiteDLoginUser.php");
}
function SiteDRegUser() {
	include_once ("includes/site/SiteDRegUser.php");
}

add_shortcode('dloginuser','SiteDLoginUser');
add_shortcode('dreguser','SiteDRegUser');


//ACTIVATION HOOKS
/*-----------------------------------------------------------------------------------------------------------------------*/
register_activation_hook(__FILE__, 'dum_install');
register_deactivation_hook(__FILE__, 'dum_uninstall');
?>