<?php 
/*
Plugin Name: D-login
Plugin URI: http://www.dytri.com
Description: Plugin registration and authorization for Wordpress.
Version: 1.1
Author: DYTRI
Author URI: http://www.dytri.com
*/

//Add widget UserDisplay
class DWidgetUserDisplay extends WP_Widget
{
	
  //Variables
  var $duserdisplay_name;
  var $duserdisplay_description;
  
  function DWidgetUserDisplay()
  {
	//Setting variables
	$this->duserdisplay_description = __('Welcome to the user display', 'd-login');
	$this->duserdisplay_name = __('D-login Displays user', 'd-login');  
	
    $widget_ops = array('classname' => 'DWidgetUserDisplay', 'description' => $this->duserdisplay_description );
    $this->WP_Widget('DWidgetUserDisplay', $this->duserdisplay_name, $widget_ops);
  }
 
  function form($instance)
  {
	//Connect database
	global $wpdb;
	
	$table_wp_users  = $wpdb->prefix . 'users';
	
    $instance = wp_parse_args( (array) $instance, array(
	'title' => '',
	'Msg_login' => '',
	'Msg_logout' => '',
	'Page_redirect' => ''));
    $title = $instance['title'];
	$Msg_login = $instance['Msg_login'];
	$Msg_logout = $instance['Msg_logout'];
	$Page_login = $instance['Page_login'];
	$Page_redirect = $instance['Page_redirect'];

  echo '<p><label for="'.$this->get_field_id('title').'">'.__('Title', 'd-login').': <input class="widefat" id="'.$this->get_field_id('title').'" name="'. $this->get_field_name('title').'" type="text" value="'.attribute_escape($title).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('Msg_login').'">'.__('Label login', 'd-login').': <input class="widefat" id="'.$this->get_field_id('Msg_login').'" name="'. $this->get_field_name('Msg_login').'" type="text" value="'.attribute_escape($Msg_login).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('Msg_logout').'">'.__('Label password', 'd-login').': <input class="widefat" id="'.$this->get_field_id('Msg_logout').'" name="'. $this->get_field_name('Msg_logout').'" type="text" value="'.attribute_escape($Msg_logout).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('Page_login').'">'.__('Login page (full link)', 'd-login').': <input class="widefat" id="'.$this->get_field_id('Page_login').'" name="'. $this->get_field_name('Page_login').'" type="text" value="'.attribute_escape($Page_login).'" /></label></p>';
  
  echo '<p><label for="'.$this->get_field_id('Page_redirect').'">'.__('Redirect page (full link)', 'd-login').': <input class="widefat" id="'.$this->get_field_id('Page_redirect').'" name="'. $this->get_field_name('Page_redirect').'" type="text" value="'.attribute_escape($Page_redirect).'" /></label></p>';
  
  } //end form
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
	$instance['Msg_login'] = $new_instance['Msg_login'];
	$instance['Msg_logout'] = $new_instance['Msg_logout'];
	$instance['Page_login'] = $new_instance['Page_login'];
	$instance['Page_redirect'] = $new_instance['Page_redirect'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$Msg_login = $instance['Msg_login'];
	$Msg_logout = $instance['Msg_logout'];
	$Page_login = $instance['Page_login'];
	$Page_redirect = $instance['Page_redirect'];
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
    // WIDGET CODE
	/*---------------------------------------------------------------------------------------------------*/
	global $wpdb;
	$table_users     = $wpdb->prefix . 'users';
	$table_posts     = $wpdb->prefix . 'posts';
	
	if ( is_user_logged_in() ) {
		global $current_user;
		
		$current_user = wp_get_current_user();
		$userid = $current_user->ID;
		
		$sql = 'SELECT * FROM `'.$table_users.'` WHERE `ID`='.intval($userid).' LIMIT 1';
		$user = $wpdb->get_row( $sql );
	
		echo '
		<div class="d-widget-user-login">
		<span>'.$Msg_login.' </span><a href="'.$Page_redirect.'" title="'.__('Go to page', 'd-login').'">'.$user->user_login.'</a>
		</div>
		';
	} else {
		echo '
		<div class="d-widget-user-logout">
		<a href="'.$Page_login.'" >'.$Msg_logout.'</a>
		</div>
		';
	}
	
	/*---------------------------------------------------------------------------------------------------*/
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("DWidgetUserDisplay");') );
?>