<?php 
/*
Plugin Name: D-login
Plugin URI: http://www.dytri.com
Description: Plugin registration and authorization for Wordpress.
Version: 1.1
Author: DYTRI
Author URI: http://www.dytri.com
*/

//Connect database
global $wpdb;

//Names of tables
/*------------------------------------------------------------------------*/
$table_users  = $wpdb->prefix . 'users';
$table_posts  = $wpdb->prefix . 'posts';
/*------------------------------------------------------------------------*/
function rgp($url) { // remove GET-parameters from URL
    return preg_replace('/^([^?]+)(\?.*?)?(#.*)?$/', '$1$3', $url);
}

$selfurl = site_url().rgp($_SERVER['REQUEST_URI']);


echo '<div class="d-login-content">';
/*----------------------------------------------------------------------------------------------------------------------------------------*/
//Check User
if ( is_user_logged_in() ) {
	
	echo __('You have successfully signed in!', 'd-login').'<br/>';
	
} else if (isset($_GET['remember-1'])) {
	echo '<div class="d-login-remember-msg">'.__('Restore the password is easy!', 'd-login').'</div>';
	echo '<form class="d-login-remember-form" action="'.$selfurl.'?remember-2" method="post">
	<label for="d-login-remember-email">'.__('First enter your email...', 'd-login').'</label>
	<input name="d-login-remember-email" class="d-login-remember-email" type="text" value="" />
	<input name="d-login-remember-email-sub" type="submit" value="'.__('Send', 'd-login').'" />
	</form>';
} else if (isset($_GET['remember-2'])) {
	
	$sub_email = trim($_POST['d-login-remember-email']);
	$user_email = $wpdb->get_row( 
		$wpdb->prepare( 
			'SELECT * FROM `'.$table_users.'` WHERE `user_email`=%s LIMIT 1',
			 $sub_email
		)
	);
	
	if ($user_email) {
	echo '<div class="d-login-remember-msg-true">'.__('All true! Now enter your login...', 'd-login').'</div>';
	echo '<form class="d-login-remember-form" action="'.$selfurl.'?remember-3" method="post">
	<label for="d-login-remember-login">'.__('Your login', 'd-login').'</label>
	<input name="d-login-remember-login" class="d-login-remember-login" type="text" value="" />
	<input name="d-login-hidden-email" class="d-login-hidden-email" type="hidden" value="'.$_POST['d-login-remember-email'].'" />
	<input name="d-login-remember-login-sub" type="submit" value="'.__('Send', 'd-login').'" />
	</form>';
	} else {
	echo '<div class="d-login-remember-msg-fail">'.__('Unfortunately, this email is not found ... Try again.', 'd-login').'</div>';
	echo '<form class="d-login-remember-form" action="'.$selfurl.'?remember-2" method="post">
	<label for="d-login-remember-email">'.__('Your email', 'd-login').'</label>
	<input name="d-login-remember-email" class="d-login-remember-email" type="text" value="" />
	<input name="d-login-remember-email-sub" type="submit" value="'.__('Send', 'd-login').'" />
	</form>';
	}
	
	
} else if (isset($_GET['remember-3'])) {
	
	$sub_login = trim($_POST['d-login-remember-login']);
	$sub_email = trim($_POST['d-login-hidden-email']);
	$user = $wpdb->get_row( 
		$wpdb->prepare( 
			'SELECT * FROM `'.$table_users.'` WHERE `user_email`=%s AND `user_login`=%s LIMIT 1', $sub_email, $sub_login
		)
	);
	
	if ($user) {
		echo '<div class="d-login-remember-msg-true">'.__('Now you can enter your new password!', 'd-login').'</div>';
		echo '<form class="d-login-remember-form" action="'.$selfurl.'?remember-4" method="post">
	<label for="d-login-remember-pass1">'.__('Your password', 'd-login').'</label>
	<input name="d-login-remember-pass1" class="d-login-remember-pass1" type="password" value="" />
	<label for="d-login-remember-pass2">'.__('Repeat password', 'd-login').'</label>
	<input name="d-login-remember-pass2" class="d-login-remember-pass2" type="password" value="" />
	
	<img src="'.plugins_url().'/D-login/lib/cool-php-captcha/captcha.php" id="captcha" /><br/>
	<a href="#" onclick=\'
    document.getElementById("captcha").src="'.plugins_url().'/D-login/lib/cool-php-captcha/captcha.php?"+Math.random();
    document.getElementById("captcha-form").focus();\'
    id="change-image">'.__('Can not read?', 'd-login').'</a><br/><br/>
	<input type="text" name="captcha" id="captcha-form" autocomplete="off" /><br/>
	
	<input name="d-login-hidden-email" class="d-login-hidden-email" type="hidden" value="'.$_POST['d-login-hidden-email'].'" />
	<input name="d-login-hidden-login" class="d-login-hidden-login" type="hidden" value="'.$_POST['d-login-remember-login'].'" />
	<input name="d-login-remember-login-sub" type="submit" value="'.__('Send', 'd-login').'" />
	</form>';
	} else {
	echo '<div class="d-login-remember-msg-fail">'.__('Sorry, the combination of email-login is not found ... Try again.', 'd-login').'</div>';
	echo '<form class="d-login-remember-form" action="'.$selfurl.'?remember-3" method="post">
	<label for="d-login-remember-login">'.__('Your login', 'd-login').'</label>
	<input name="d-login-remember-login" class="d-login-remember-login" type="text" value="" />
	<input name="d-login-hidden-email" class="d-login-hidden-email" type="hidden" value="'.$_POST['d-login-hidden-email'].'" />
	<input name="d-login-remember-login-sub" type="submit" value="'.__('Send', 'd-login').'" />
	</form>';
	}
	
	
}else if (isset($_GET['remember-4'])) {
	
	$sub_login = htmlspecialchars(trim($_POST['d-login-hidden-login']));
	$sub_email = htmlspecialchars(trim($_POST['d-login-hidden-email']));
	$sub_pass1 = trim($_POST['d-login-remember-pass1']);
	$sub_pass2 = trim($_POST['d-login-remember-pass2']);
	
	$error = 0;
	$msg_fail = '';
	
	/*------------------------------*/
	if (!empty($_REQUEST['captcha'])) {
    if (empty($_SESSION['captcha']) || trim(strtolower($_REQUEST['captcha'])) != $_SESSION['captcha']) {
        $captcha_message = "Invalid captcha";
        $style = "background-color: #FF606C";
		$msg_fail.= __('Anti-spam code is not correct!', 'd-login').'<br/>';
		$error++;
    } else {
        $captcha_message = "Valid captcha";
        $style = "background-color: #CCFF99";
    }

    $request_captcha = htmlspecialchars($_REQUEST['captcha']);
    unset($_SESSION['captcha']);
	} else {
		$msg_fail.= __('Anti-spam code is not correct!', 'd-login').'<br/>';
		$error++;
	}
	/*------------------------------*/
	if (strlen($sub_pass1)>5) {
		if ($sub_pass1 != $sub_pass2) { $msg_fail.= __('Passwords do not match!', 'd-login').'<br/>'; $error++; }
	} else {
		$msg_fail.=__('Password is too short (at least 6 characters)!', 'd-login').'<br/>'; $error++;
	}
	
	if ($error == 0) {
		
		$new_pass = md5(htmlspecialchars(trim($sub_pass1)));
		//WP users
		$wpdb->query(
		  $wpdb->prepare( 
			'UPDATE `'.$table_users.'` SET `user_pass`=%s WHERE `user_email`=%s AND `user_login`=%s LIMIT 1',
			$new_pass,$sub_email,$sub_login
		  )
		);
		
		$user = $wpdb->get_row( 
		  $wpdb->prepare( 
			'SELECT * FROM `'.$table_users.'` WHERE `user_email`=%s AND `user_login`=%s LIMIT 1',
			 $sub_email,$sub_login
		  )
		);
		
		
		$blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
		$subject  = __('Password restored on the site', 'd-login').' '.$blogname;
		$message = '
		'.__('Hello!', 'd-login').'
		'.__('You have successfully passed the procedure of change (recovery) password on the site', 'd-login').' '.$blogname.'!
		'.__('Your details', 'd-login').':
		'.__('Login', 'd-login').': '.$user->user_login.'
		'.__('Password', 'd-login').': '.$sub_pass1.'
		
		'.__('Thank you for using our site!', 'd-login').'
		';
		$headers = 'From: "'.$blogname.'" <'.get_option('admin_email').'>';
		
		// Send the mail
		wp_mail($user->user_email, $subject, $message, $headers);
		
		echo '<div class="d-login-remember-msg-true">'.__('A new password has been sent to your email.', 'd-login').' '.__('Now you can enter the site', 'd-login').': <a href="'.$selfurl.'">'.__('Enter', 'd-login').'</a></div>';
		
	} else {
		echo '<div class="d-login-remember-msg-fail">'.$msg_fail.'</div>';
		echo '<form class="d-login-remember-form" action="'.$selfurl.'?remember-4" method="post">
	<label for="d-login-remember-pass1">'.__('Your password', 'd-login').'</label>
	<input name="d-login-remember-pass1" class="d-login-remember-pass1" type="password" value="" />
	<label for="d-login-remember-pass2">'.__('Repeat password', 'd-login').'</label>
	<input name="d-login-remember-pass2" class="d-login-remember-pass2" type="password" value="" />
	
	<img src="'.plugins_url().'/D-login/lib/cool-php-captcha/captcha.php" id="captcha" /><br/>
	<a href="#" onclick=\'
    document.getElementById("captcha").src="'.plugins_url().'/D-login/lib/cool-php-captcha/captcha.php?"+Math.random();
    document.getElementById("captcha-form").focus();\'
    id="change-image">'.__('Can not read?', 'd-login').'</a><br/><br/>
	<input type="text" name="captcha" id="captcha-form" autocomplete="off" /><br/>
	
	<input name="d-login-hidden-email" class="d-login-hidden-email" type="hidden" value="'.$_POST['d-login-hidden-email'].'" />
	<input name="d-login-hidden-login" class="d-login-hidden-login" type="hidden" value="'.$_POST['d-login-hidden-login'].'" />
	<input name="d-login-remember-login-sub" type="submit" value="'.__('Send', 'd-login').'" />
	</form>';
	}
	
	
} else {
	if ( isset($_POST['d-login-user-name']) || isset($_POST['d-login-user-name']) ) {
		echo '<div class="d-login-msg-nocorrect">'.__('Incorrect data!', 'd-login').'</div>';
	}
	echo '
	<form class="d-login-user-form" action="'.$selfurl.'" method="post">
	<label for="d-login-user-name">'.__('Login', 'd-login').'</label>
	<input name="d-login-user-name" class="d-login-user-name" type="text" value="" />
	<label for="d-login-user-name">'.__('Password', 'd-login').'</label>
	<input name="d-login-user-pass" class="d-login-user-pass" type="password" value="" />
	<input name="d-login-user-login-btn" type="submit" value="'.__('Sign', 'd-login').'" />
	</form>
	<div class="d-login-remember-or-reg">
	<a class="d-login-remember" href="'.$selfurl.'?remember-1">'.__('Forgot password?', 'd-login').'</a>
	<a class="d-login-reguser" href="'.get_option('d-reg-page').'">'.__('Registration', 'd-login').'</a>
	</div>
	';
}
//end check reg


/*----------------------------------------------------------------------------------------------------------------------------------------*/
//Close wrap page content
echo '</div>';


?>