<?php 
/*
Plugin Name: D-login
Plugin URI: http://www.dytri.com
Description: Plugin registration and authorization for Wordpress.
Version: 1.1
Author: DYTRI
Author URI: http://www.dytri.com
*/

//Connect database
global $wpdb;

//Names of tables
/*------------------------------------------------------------------------*/
$table_users  = $wpdb->prefix . 'users';
$table_posts     = $wpdb->prefix . 'posts';
/*------------------------------------------------------------------------*/
function rgp($url) { // remove GET-parameters from URL
    return preg_replace('/^([^?]+)(\?.*?)?(#.*)?$/', '$1$3', $url);
}
$selfurl = site_url().$_SERVER['REQUEST_URI'];

echo '<div class="d-box-content">';
/*----------------------------------------------------------------------------------------------------------------------------------------*/

//OutPut Form Reg
$outform = '
<form class="d-reg-user-form" action="'.$selfurl.'" method="post">
<div class="d-reg-user-msg">'.__('All fields are required!', 'd-login').'</div>
<table class="d-reg-user" width="100%" border="0">
  
  <tr>
    <td>'.__('Email', 'd-login').'</td>
    <td><input name="d-reg-user-email" class="d-reg-user-email" type="text" value="'.$_POST['d-reg-user-email'].'" /></td>
  </tr>
  
  <tr>
    <td>'.__('Login', 'd-login').'</td>
    <td><input name="d-reg-user-login" class="d-reg-user-login" type="text" value="'.$_POST['d-reg-user-login'].'" /></td>
  </tr>
  
  <tr>
    <td>'.__('Password', 'd-login').'</td>
    <td><input name="d-reg-user-pass" class="d-reg-user-pass" type="password" /></td>
  </tr>
  
  <tr>
    <td>'.__('Repeat password', 'd-login').'</td>
    <td><input name="d-reg-user-pass2" class="d-reg-user-pass2" type="password"/></td>
  </tr>
  
  <tr>
    <td>'.__('Antispam', 'd-login').'</td>
    <td>
	<img src="'.plugins_url().'/D-login/lib/cool-php-captcha/captcha.php" id="captcha" /><br/>
	
	<a href="#" onclick=\'
    document.getElementById("captcha").src="'.plugins_url().'/D-login/lib/cool-php-captcha/captcha.php?"+Math.random();
    document.getElementById("captcha-form").focus();\'
    id="change-image">'.__('Can not read?', 'd-login').'</a><br/><br/>
	
	
	<input type="text" name="captcha" id="captcha-form" autocomplete="off" /><br/>
	</td>
  </tr>

  <tr>
    <td></td>
    <td><input name="d-reg-user-sub" class="d-reg-user-sub" type="submit" value="'.__('Send', 'd-login').'" /></td>
  </tr>
  
</table>

</form>
';

/*------------------------------------------------------------------------*/
//Check Reg User
if (isset($_POST['d-reg-user-sub'])) {
	
	$useremail     = htmlspecialchars(trim($_POST['d-reg-user-email']));
	$userlogin     = htmlspecialchars(trim($_POST['d-reg-user-login']));
	$userpass      = htmlspecialchars(trim($_POST['d-reg-user-pass']));
	$userpass2     = htmlspecialchars(trim($_POST['d-reg-user-pass2']));
	
	//check filed 
	/*------------------------------------------------------------------------*/
	$error = 0;
	$empty = '';
	$correct = '';
	$capt = '';
	//empty
	if ( empty($useremail) ) { $empty.= __('The "Email" - is empty or too short!', 'd-login').'<br/>';}
	if ( empty($userlogin) || strlen($userlogin)<=2 ) { $empty.= __('The "Login" - is empty or too short!', 'd-login').'<br/>';}
	if ( empty($userpass) || strlen($userpass)<=5 ) { $empty.= __('The "Password" - is empty or too short!', 'd-login').'<br/>';}
	if ( empty($userpass2) || strlen($userpass2)<=5 ) { $empty.= __('The "Repeat password" - is empty or too short!', 'd-login').'<br/>';}
	
	if ($empty != '') {  echo '<div class="d-reg-user-msg-error">'.$empty.'</div>'; $error++; }
	
	if ( (!eregi("^[a-zA-Z0-9\._-]+@[a-zA-Z0-9\._-]+\.[a-zA-Z]{2,4}$",$useremail)) || strlen($useremail)<=2 )
		{ $correct.= "Invalid email!<br/>";}
	
	if ($userpass != $userpass2) { $correct.= __('Passwords do not match!', 'd-login').'<br/>';}
	
	$sql = 'SELECT * FROM `'.$table_users.'` WHERE `user_email`="'.$useremail.'"';
	$cemail = $wpdb->get_row( $sql );
	if ($cemail) { $correct.= __('This email is already registered!', 'd-login').'<br/>'; }
	$sql = 'SELECT * FROM `'.$table_users.'` WHERE `user_login`="'.$userlogin.'"';
	$clogin = $wpdb->get_row( $sql );
	if ($clogin) { $correct.= __('This login is already registered!', 'd-login').'<br/>'; }
	
	if ($correct != '') {  echo '<div class="d-reg-user-msg-error">'.$correct.'</div>'; $error++; }
	
	/*------------------------------*/
	$error_captcha = 0;
	if (!empty($_REQUEST['captcha'])) {
    if (empty($_SESSION['captcha']) || trim(strtolower($_REQUEST['captcha'])) != $_SESSION['captcha']) {
        $captcha_message = "Invalid captcha";
        $style = "background-color: #FF606C";
		$capt.= __('Anti-spam code is not correct!', 'd-login');
		$error_captcha = 1;
		$error++;
    } else {
        $captcha_message = "Valid captcha";
        $style = "background-color: #CCFF99";
    }
	
    $request_captcha = htmlspecialchars($_REQUEST['captcha']);
	unset($_SESSION['captcha']);
	} else {
		$capt.= __('Anti-spam code is not correct!', 'd-login');
		$error_captcha = 1;
		$error++;
	}
	
	if ($error_captcha == 1) {  echo '<div class="d-reg-user-msg-captcha">'.$capt.'</div>'; }
	/*------------------------------*/
	
	/*------------------------------------------------------------------------*/
	
	if ($error == 0) {
		
		//Save new WP User
		$sql = 'INSERT INTO `'.$table_users.'` (
		`user_login`,
		`user_pass`,
		`user_nicename`,
		`user_email`,
		`user_url`,
		`user_registered`,
		`user_activation_key`,
		`user_status`,
		`display_name`
		) VALUES (
		"'.strtolower($userlogin).'",
		"'.md5($userpass).'",
		"'.strtolower($userlogin).'",
		"'.$useremail.'",
		"",
		now(),
		"",
		0,
		"'.strtolower($userlogin).'"
		)';
		$query = $wpdb->query( $sql );
		$wp_id = $wpdb->insert_id;
		
		
		$blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
		$subject  = __('You have successfully registered on the site', 'd-login').' '.$blogname;
		$message = '
		'.__('Thank you for registering on our site!', 'd-login').'
		'.__('Your details', 'd-login').':
		'.__('Login', 'd-login').': '.strtolower($userlogin).'
		'.__('Password', 'd-login').': '.$userpass.'
		
		'.__('Thank you for using our site!', 'd-login').'
		';
		$headers = 'From: "'.$blogname.'" <'.get_option('admin_email').'>';
		
		// Send the mail
		wp_mail($useremail, $subject, $message, $headers);
		
		echo '<div class="d-reg-user-msg-true">
		'.__('Registration was successful!', 'd-login').'<br/>
		'.__('Now you can enter the site', 'd-login').': <a href="'.get_option('d-login-page').'">'.__('Sign', 'd-login').'</a>
		</div>';
		
	} else {
		echo $outform;
	}
	
} else {
	echo $outform;
}//end check reg

/*----------------------------------------------------------------------------------------------------------------------------------------*/
//Close wrap page content
echo '</div>';

?>